织梦CMS - 轻松建站从此开始!

罗索实验室

当前位置: 主页 > 杂项技术 > JAVA >

有关Applet无法显示的分析

罗索客 发布于 2005-08-23 14:49 点击:次 
我是JAVA初学者,我经过几天的摸索,发现Applet无法显示的三种现象,br/br/ 一:含Applet的网页打开后即关闭。我认为是机器中有两个java VM版本冲突所致,因为我一把java runtime enviorment删除后这种现象就没了。br/br/ 二:网页打开后Applet处有一个X标志,在jdk的例
TAG:

我是JAVA初学者,我经过几天的摸索,发现Applet无法显示的三种现象,<br/><br/> 一:含Applet的网页打开后即关闭。我认为是机器中有两个java VM版本冲突所致,因为我一把java runtime enviorment删除后这种现象就没了。<br/><br/> 二:网页打开后Applet处有一个X标志,在jdk的例子中显示"Your browser understands the <APPLET> tag but isn't running the applet, for some reason.",我认为这是由于把java runtime enviorment删除后或一些不适当的操作,使得IE已经认为它不存在了,完全不支持java。解决方法:在dos下用javac命令(这时肯定会出错),通过相应出错信息修改注册表,IE重新定位java。再次用javac时就可以编译了。<br/><br/> 三:发现用JB9编译的applet在JB的环境中可视。但在IE中不可视,只有一片灰色。鼠标移上去时提示栏显示“XXX.class not found”,但路径却是对的。如果用一个VJ6编译的applet却能正常显示。由此分析:此时的IE只支持JDK 1.1的class。解决方法:打开JB,在run->configure->build->java中,将compiler改成javac,将target VM改成all java SDKs.再编译,IE就可以显示applet了。<br/> 我不知自己分析得对不对,但解决方法是行得通的。<br/> 同时我也不知道如何让IE再识别java2了。我差点就把系统格了呢,但现在问题解决了。想问一下谁知道如何在DOS环境下用JDK1.4的javac编译出最低版本的applet?(JDK1.1时的)<br/> 希望各位把自己的问题和解决的方法经验说出来,大家一起受益。<br/><br/>补充:<br/> 经过测试后又明白了:在DOS下用javac时,输入javac -target 1.1 XXXX.java即可生成早期版本的applet。IE肯定支持。 <br/> (bargain685)
本站文章除注明转载外,均为本站原创或编译欢迎任何形式的转载,但请务必注明出处,尊重他人劳动,同学习共成长。转载请注明:文章转载自:罗索实验室 [http://www1.rosoo.net/a/200508/1434.html]
本文出处: 作者:bargain685
顶一下
(0)
0%
踩一下
(0)
0%
------分隔线----------------------------
发表评论
请自觉遵守互联网相关的政策法规,严禁发布色情、暴力、反动的言论。
评价:
表情:
用户名: 验证码:点击我更换图片
栏目列表
将本文分享到微信
织梦二维码生成器
推荐内容